Package htsjdk.beta.plugin.hapref

# Class HaploidReferenceFormats

java.lang.Object
htsjdk.beta.plugin.hapref.HaploidReferenceFormats

public class HaploidReferenceFormats extends Object
Class with string constants representing the file formats supported by haploid reference codecs.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FASTA`
Fasta format

## Constructor Summary

Constructors
Constructor
Description
`HaploidReferenceFormats()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FASTA

public static final String FASTA
Fasta format

See Also:
  - Constant Field Values

## Constructor Details

### HaploidReferenceFormats

public HaploidReferenceFormats()